<?php
/**
 * Aliases for special pages
 *
 * @file
 * @ingroup Extensions
 */

$specialPageAliases = [];

/** English */
$specialPageAliases['en'] = [
	'TopAwards' => [ 'TopAwards' ],
	'ViewSystemGifts' => [ 'ViewSystemGifts' ],
	'ViewSystemGift' => [ 'ViewSystemGift' ],
	'SystemGiftManager' => [ 'SystemGiftManager' ],
	'SystemGiftManagerLogo' => [ 'SystemGiftManagerLogo' ],
	'RemoveMasterSystemGift' => [ 'RemoveMasterSystemGift' ],
	'PopulateAwards' => [ 'PopulateAwards' ],
];

/** Bosnian (bosanski) */
$specialPageAliases['bs'] = [
	'TopAwards' => [ 'TopNagrade' ],
	'ViewSystemGifts' => [ 'PogledajSistemskePoklone' ],
	'ViewSystemGift' => [ 'PogledajSistemskiPoklon' ],
	'SystemGiftManager' => [ 'UpravljačSistemskimPoklonima' ],
	'SystemGiftManagerLogo' => [ 'SličicaUpravljačaSistemskimPoklonima' ],
	'RemoveMasterSystemGift' => [ 'UkloniGlavniSistemskiPoklon' ],
	'PopulateAwards' => [ 'PopuniNagrade' ],
];

/** Croatian (hrvatski) */
$specialPageAliases['hr'] = [
	'TopAwards' => [ 'TopNagrade' ],
	'ViewSystemGifts' => [ 'PogledajDaroveSustava' ],
	'ViewSystemGift' => [ 'PogledajDarSustava' ],
	'SystemGiftManager' => [ 'UpraviteljDarovimaSustava' ],
	'SystemGiftManagerLogo' => [ 'SličicaUpraviteljaDarovimaSustava' ],
	'RemoveMasterSystemGift' => [ 'UkloniGlavniPoklonSustava' ],
	'PopulateAwards' => [ 'PopuniNagrade' ],
];

/** Serbian (Cyrillic script) (српски (ћирилица)) */
$specialPageAliases['sr-ec'] = [
	'TopAwards' => [ 'ТопНаграде' ],
	'ViewSystemGifts' => [ 'ПогледајСистемскеПоклоне' ],
	'ViewSystemGift' => [ 'ПогледајСистемскиПоклон' ],
	'SystemGiftManager' => [ 'УправљачСистемскимПоклонима' ],
	'SystemGiftManagerLogo' => [ 'СличицаУправљачаСистемскимПоклонима' ],
	'RemoveMasterSystemGift' => [ 'УклониГлавниСистемскиПоклон' ],
	'PopulateAwards' => [ 'ПопуниНаграде' ],
];

/** Serbian (Latin script) (srpski (latinica)) */
$specialPageAliases['sr-el'] = [
	'TopAwards' => [ 'TopNagrade' ],
	'ViewSystemGifts' => [ 'PogledajSistemskePoklone' ],
	'ViewSystemGift' => [ 'PogledajSistemskiPoklon' ],
	'SystemGiftManager' => [ 'UpravljačSistemskimPoklonima' ],
	'SystemGiftManagerLogo' => [ 'SličicaUpravljačaSistemskimPoklonima' ],
	'RemoveMasterSystemGift' => [ 'UkloniGlavniSistemskiPoklon' ],
	'PopulateAwards' => [ 'PopuniNagrade' ],
];
