<?php

/**
 * Aliases for special pages
 *
 * @file
 * @ingroup Extensions
 */

$specialPageAliases = [];

/** English (English) */
$specialPageAliases['en'] = [
	'AddRelationship' => [ 'AddRelationship' ],
	'RemoveRelationship' => [ 'RemoveRelationship' ],
	'ViewRelationshipRequests' => [ 'ViewRelationshipRequests' ],
	'ViewRelationships' => [ 'ViewRelationships' ],
];

/** Arabic (العربية) */
$specialPageAliases['ar'] = [
	'AddRelationship' => [ 'إضافة_علاقة' ],
	'RemoveRelationship' => [ 'إزالة_علاقة' ],
	'ViewRelationshipRequests' => [ 'عرض_طلبات_العلاقات' ],
	'ViewRelationships' => [ 'عرض_العلاقات' ],
];

/** Egyptian Arabic (مصرى) */
$specialPageAliases['arz'] = [
	'AddRelationship' => [ 'زود_علاقه' ],
	'RemoveRelationship' => [ 'شيل_علاقه' ],
	'ViewRelationshipRequests' => [ 'عرض_طلبات_العلاقات' ],
	'ViewRelationships' => [ 'عرض_العلاقات' ],
];

/** Western Balochi (بلوچی رخشانی) */
$specialPageAliases['bgn'] = [
	'AddRelationship' => [ 'رابیته_ئی_ایزاپه_کورتین' ],
	'ViewRelationshipRequests' => [ 'رابیته_ئی_درخواست_ئی_نشان_داتین' ],
	'ViewRelationships' => [ 'رابیته_ئانی_نشان_دایتین' ],
	'RemoveRelationship' => [ 'رابیته_ئی_پاک_کورتین' ],
];

/** Bosnian (bosanski) */
$specialPageAliases['bs'] = [
	'AddRelationship' => [ 'Dodaj_vezu', 'DodavanjeVeza' ],
	'RemoveRelationship' => [ 'Ukloni_vezu' ],
	'ViewRelationshipRequests' => [ 'Prikaži_zahtijevane_veze', 'Prikaži_zahtjevane_veze' ],
	'ViewRelationships' => [ 'Prikaži_vezu', 'PregledVeza', 'Prikaži_vjezu' ],
];

/** German (Deutsch) */
$specialPageAliases['de'] = [
	'AddRelationship' => [ 'Kontakt_hinzufügen' ],
	'RemoveRelationship' => [ 'Kontakt_entfernen' ],
	'ViewRelationshipRequests' => [ 'Kontaktgesuche_ansehen' ],
	'ViewRelationships' => [ 'Kontakte_ansehen' ],
];

/** Zazaki (Zazaki) */
$specialPageAliases['diq'] = [
	'AddRelationship' => [ 'EleqeDeke' ],
	'ViewRelationshipRequests' => [ 'WaştışéEleqiBımocne' ],
	'ViewRelationships' => [ 'EleqiBımocne' ],
];

/** Persian (فارسی) */
$specialPageAliases['fa'] = [
	'AddRelationship' => [ 'افزودن_رابطه' ],
	'RemoveRelationship' => [ 'حذف_رابطه' ],
	'ViewRelationshipRequests' => [ 'نمایش_درخواست_رابطه' ],
	'ViewRelationships' => [ 'نمایش_رابطه‌ها' ],
];

/** Swiss German (Alemannisch) */
$specialPageAliases['gsw'] = [
	'AddRelationship' => [ 'Verbindig derzuegee' ],
	'RemoveRelationship' => [ 'Verbindig ewägmache' ],
	'ViewRelationshipRequests' => [ 'Verbindigsgsuech bschaue' ],
	'ViewRelationships' => [ 'Verbindige bschaue' ],
];

/** Upper Sorbian (hornjoserbsce) */
$specialPageAliases['hsb'] = [
	'AddRelationship' => [ 'Poćah_přidać' ],
	'RemoveRelationship' => [ 'Poćah_wotstronić' ],
	'ViewRelationships' => [ 'Poćahi_sej_wobhladać' ],
];

/** Croatian (hrvatski) */
$specialPageAliases['hr'] = [
	'AddRelationship' => [ 'Dodaj_vezu', 'DodavanjeVeza' ],
	'RemoveRelationship' => [ 'Ukloni_vezu' ],
	'ViewRelationshipRequests' => [ 'Prikaži_zahtjevane_veze' ],
	'ViewRelationships' => [ 'Prikaži_veze', 'PregledVeza' ],
];

/** Haitian (Kreyòl ayisyen) */
$specialPageAliases['ht'] = [
	'AddRelationship' => [ 'AjouteRelasyon' ],
	'RemoveRelationship' => [ 'RetireRelasyon' ],
	'ViewRelationshipRequests' => [ 'GadeRekètLyen' ],
	'ViewRelationships' => [ 'GadeLyen' ],
];

/** Interlingua (interlingua) */
$specialPageAliases['ia'] = [
	'AddRelationship' => [ 'Adder_relation' ],
	'RemoveRelationship' => [ 'Remover_relation' ],
	'ViewRelationshipRequests' => [ 'Vider_requestas_de_relation' ],
	'ViewRelationships' => [ 'Vider_relationes' ],
];

/** Japanese (日本語) */
$specialPageAliases['ja'] = [
	'AddRelationship' => [ '関係の追加' ],
	'RemoveRelationship' => [ '関係の削除' ],
	'ViewRelationshipRequests' => [ '関係の表示' ],
	'ViewRelationships' => [ '関係申請の表示' ],
];

/** Korean (한국어) */
$specialPageAliases['ko'] = [
	'AddRelationship' => [ '관계추가' ],
	'RemoveRelationship' => [ '관계제거' ],
	'ViewRelationshipRequests' => [ '관계요청보기' ],
	'ViewRelationships' => [ '관계보기' ],
];

/** Luxembourgish (Lëtzebuergesch) */
$specialPageAliases['lb'] = [
	'AddRelationship' => [ 'Relatioun_derbäisetzen' ],
	'RemoveRelationship' => [ 'Relatioun_ewechhuelen' ],
	'ViewRelationshipRequests' => [ 'Ufroe_vu_Relatioune_weisen' ],
	'ViewRelationships' => [ 'Relatioune_weisen' ],
];

/** Macedonian (македонски) */
$specialPageAliases['mk'] = [
	'AddRelationship' => [ 'ДодајВрска' ],
	'RemoveRelationship' => [ 'ИзбришиРелација' ],
	'ViewRelationshipRequests' => [ 'ПогледајБарањаЗаВрска' ],
	'ViewRelationships' => [ 'ПогледајВрски' ],
];

/** Malayalam (മലയാളം) */
$specialPageAliases['ml'] = [
	'AddRelationship' => [ 'ബന്ധം_കൊടുക്കുക' ],
	'RemoveRelationship' => [ 'ബന്ധം_ഒഴിവാക്കുക' ],
	'ViewRelationships' => [ 'ബന്ധങ്ങൾ_കാണുക' ],
];

/** Marathi (मराठी) */
$specialPageAliases['mr'] = [
	'AddRelationship' => [ 'नातेजोडा' ],
	'RemoveRelationship' => [ 'नातेसोडा' ],
	'ViewRelationshipRequests' => [ 'नातेविनंतीपहा' ],
	'ViewRelationships' => [ 'नातेपहा' ],
];

/** Norwegian Bokmål (norsk bokmål) */
$specialPageAliases['nb'] = [
	'AddRelationship' => [ 'Legg_til_relasjon' ],
	'RemoveRelationship' => [ 'Fjern_relasjon' ],
	'ViewRelationshipRequests' => [ 'Vis_relasjonsforespørsel' ],
	'ViewRelationships' => [ 'Vis_relasjoner' ],
];

/** Low Saxon (Netherlands) (Nedersaksies) */
$specialPageAliases['nds-nl'] = [
	'AddRelationship' => [ 'Relasie_derbie_doon' ],
	'RemoveRelationship' => [ 'Relasie_vortdoon' ],
	'ViewRelationshipRequests' => [ 'Relasieverzeuken_bekieken' ],
	'ViewRelationships' => [ 'Relasies_bekieken' ],
];

/** Dutch (Nederlands) */
$specialPageAliases['nl'] = [
	'AddRelationship' => [ 'RelatieToevoegen' ],
	'RemoveRelationship' => [ 'RelatieVerwijderen' ],
	'ViewRelationshipRequests' => [ 'RelatieverzoekenBekijken' ],
	'ViewRelationships' => [ 'RelatiesBekijken' ],
];

/** Slovak (slovenčina) */
$specialPageAliases['sk'] = [
	'AddRelationship' => [ 'PridaťVzťah' ],
	'RemoveRelationship' => [ 'OdstrániťVzťah' ],
	'ViewRelationshipRequests' => [ 'ZobraziťŽiadostiOVzťah' ],
	'ViewRelationships' => [ 'ZobraziťVzťahy' ],
];

/** Serbian (Cyrillic script) (српски (ћирилица)) */
$specialPageAliases['sr-ec'] = [
	'AddRelationship' => [ 'Додај_везу' ],
	'RemoveRelationship' => [ 'Уклони_везу' ],
	'ViewRelationshipRequests' => [ 'Прикажи_захтеве_везе' ],
	'ViewRelationships' => [ 'Прикажи_везе', 'Прикажи_везу' ],
];

/** Serbian (Latin script) (srpski (latinica)) */
$specialPageAliases['sr-el'] = [
	'AddRelationship' => [ 'Dodaj_vezu' ],
	'RemoveRelationship' => [ 'Ukloni_vezu' ],
	'ViewRelationshipRequests' => [ 'Prikaži_zahtevane_veze' ],
	'ViewRelationships' => [ 'Prikaži_veze', 'Prikaži_vezu' ],
];

/** Swahili (Kiswahili) */
$specialPageAliases['sw'] = [
	'AddRelationship' => [ 'WekaMahusiano' ],
	'RemoveRelationship' => [ 'OndoaMahusiano' ],
];

/** Tagalog (Tagalog) */
$specialPageAliases['tl'] = [
	'AddRelationship' => [ 'Idagdag ang kaugnayan' ],
	'RemoveRelationship' => [ 'Tanggalin ang ugnayan' ],
	'ViewRelationshipRequests' => [ 'Tingnan ang mga hiling ng kaugnayan' ],
	'ViewRelationships' => [ 'Tingnan ang mga kaugnayan' ],
];

/** Turkish (Türkçe) */
$specialPageAliases['tr'] = [
	'AddRelationship' => [ 'İlişkiEkle' ],
	'RemoveRelationship' => [ 'İlişkiKaldır' ],
	'ViewRelationshipRequests' => [ 'İlişkiİstekleriniGör' ],
	'ViewRelationships' => [ 'İlişkileriGör' ],
];

/** Chinese (中文) */
$specialPageAliases['zh'] = [
	'AddRelationship' => [ '添加关系', '建立關係' ],
	'RemoveRelationship' => [ '删除关系', '移除關係' ],
	'ViewRelationshipRequests' => [ '查看关系申请', '檢視關係申請' ],
	'ViewRelationships' => [ '查看关系', '檢視關係' ],
];

/** Simplified Chinese (中文（简体)) */
$specialPageAliases['zh-hans'] = [
	'AddRelationship' => [ '添加关系' ],
	'RemoveRelationship' => [ '删除关系' ],
	'ViewRelationshipRequests' => [ '查看关系申请' ],
	'ViewRelationships' => [ '查看关系' ],
];

/** Traditional Chinese (中文（繁體)) */
$specialPageAliases['zh-hant'] = [
	'AddRelationship' => [ '建立關係' ],
	'RemoveRelationship' => [ '移除關係' ],
	'ViewRelationshipRequests' => [ '檢視關係申請' ],
	'ViewRelationships' => [ '檢視關係' ],
];
